Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226241 - Merge Review: perl-Bit-Vector
Summary: Merge Review: perl-Bit-Vector
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:21 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-26 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-26 23:35:27 UTC
steve: fedora-review+


Attachments (Terms of Use)
Cleanup patch (deleted)
2007-06-30 21:11 UTC, Steven Pritchard
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:56 UTC
Fedora Merge Review: perl-Bit-Vector

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Bit-Vector/
Initial Owner: rnorwood@redhat.com

Comment 1 Steven Pritchard 2007-06-30 21:11:15 UTC
Created attachment 158299 [details]
Cleanup patch

- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.
- Remove check macro cruft.
- Improve Summary.
- Remove redundant perl build dependency.
- BR ExtUtils::MakeMaker.
- Set OPTIMIZE when we run Makefile.PL, not make.
- BR perl(Carp::Clan) instead of perl-Carp-Clan.
- Remove redundant Carp::Clan dependency.

Comment 2 Robin Norwood 2007-07-03 17:13:59 UTC
Fixed and built 6.4-3.fc8.  Also removed unversioned Provides: perl(Bit::Vector)
that rpmlint was complaining about.

Comment 3 Steven Pritchard 2008-05-08 19:11:05 UTC
I think we can close this one too.

Comment 4 Chris Weyl 2009-02-26 23:35:27 UTC
Closing...


Note You need to log in before you can comment on or make changes to this bug.